<!DOCTYPE html>
<html>

<meta charset="UTF-8">
<title>The Boss Chat Ultra System</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="css/w3.css" type='text/css'>
<link rel='stylesheet' href='css/RobotoDraft.css' type='text/css'>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
<link rel="stylesheet" href="css/style.css" type='text/css'>
<link rel="stylesheet" href="css/page.css" type='text/css'>
<script type="text/javascript" src="js/lib/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="js/lib/myjqueryaddon.min.js"></script>
<script type="text/javascript" src="js/script.js"></script>
<script type="text/javascript" src="js/page.js"></script>

<body>

<!-- Side Navigation -->
<nav class="w3-sidebar w3-bar-block w3-collapse w3-white w3-animate-left w3-card" style="z-index:3;width:320px;"
     id="mySidebar">

    <a class="w3-bar-item w3-border-bottom w3-large"><img
            src="assets/logo.svg" style="width:60%;"></a>

    <a onclick="w3_close()" title="Close Sidemenu"
       class="w3-bar-item w3-button w3-hide-large w3-large">Close <i class="fas fa-times"></i></a>

    <a onclick="document.getElementById('mod-post').style.display='block'"
       class="w3-bar-item w3-button w3-dark-grey w3-button w3-hover-black w3-left-align">
        New Message <i class="w3-padding fas fa-pencil-alt"></i>
    </a>

    <a id="btn-public" class="w3-bar-item w3-button">
        <i class="fas fa-globe w3-margin-right"></i>Public
    </a>
    <div id="cont-public" class="w3-hide w3-animate-left">
    </div>

    <a id="btn-inbox" class="w3-bar-item w3-button">
        <i class="fas fa-inbox w3-margin-right"></i>Inbox
    </a>
    <div id="cont-inbox" class="w3-hide w3-animate-left">
    </div>

    <a id="btn-sent" class="w3-bar-item w3-button">
        <i class="fas fa-paper-plane w3-margin-right"></i>Sent
    </a>
    <div id="cont-sent" class="w3-hide w3-animate-left">
    </div>

    <a id="btn-notes" class="w3-bar-item w3-button">
        <i class="fas fa-sticky-note w3-margin-right"></i>Notes (private)
    </a>
    <div id="cont-notes" class="w3-hide w3-animate-left">
    </div>

    <a id="nav-search" class="w3-bar-item">
        <i class="fas fa-search w3-margin-right"></i><input id="searchField" class="w3-border" type="text" placeholder="Search">
    </a>
    <div id="cont-search" class="w3-hide w3-animate-left">
    </div>
</nav>

<!-- Modal that pops up when you click on "New Message" -->
<div id="mod-post" class="w3-modal">
    <div class="w3-modal-content w3-animate-zoom">
        <div class="w3-container w3-padding w3-red">
       <span onclick="document.getElementById('mod-post').style.display='none'"
             class="w3-button w3-red w3-right w3-xxlarge"><i class="fas fa-times"></i></span>
            <h2>Send Mail</h2>
        </div>
        <form id="form-post" class="w3-panel" autocomplete="off">
            <label>To</label> <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Public" name="recipient">
            <label>Subject</label> <input class="w3-input w3-border w3-margin-bottom" type="text" name="subject">
            <textarea class="w3-input w3-border w3-margin-bottom" style="height:150px" name="text"></textarea>
            <div class="w3-section">
                <a class="w3-button w3-red" onclick="document.getElementById('mod-post').style.display='none'">Cancel <i
                        class="fas fa-times"></i></a>
                <button class="w3-button w3-light-grey w3-right" type="submit">Send <i class="fas fa-paper-plane"></i></button>
            </div>
        </form>
    </div>
</div>

<!-- Modal that pops up when you click on "Settings" -->
<div id="mod-settings" class="w3-modal">
    <div class="w3-modal-content w3-animate-zoom">
        <div class="w3-container w3-padding w3-red">
       <span onclick="document.getElementById('mod-settings').style.display='none'"
             class="w3-button w3-red w3-right w3-xxlarge"><i class="fas fa-times"></i></span>
            <h2>Settings</h2>
        </div>
        <form id="form-settings" class="w3-panel" autocomplete="off">
            <b>change password</b><br>
            <label>current password</label> <input class="w3-input w3-border w3-margin-bottom" type="password" name="current">
            <label>new password</label> <input class="w3-input w3-border w3-margin-bottom" type="password" name="new">
            <label>repeat new password</label> <input class="w3-input w3-border w3-margin-bottom" type="password" name="repeat">

            <div class="w3-section">
                <a class="w3-button w3-red" onclick="document.getElementById('mod-settings').style.display='none'">Cancel<i
                        class="fas fa-times"></i></a>
                <button class="w3-button w3-light-grey w3-right" type="submit">Submit<i class="fas fa-paper-plane"></i></button>
            </div>
        </form>
    </div>
</div>

<!-- Overlay effect when opening the side navigation on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer"
     title="Close Sidemenu" id="myOverlay"></div>

<!-- Page content -->
<div class="w3-main" style="margin-left:320px;">
    <i class="fas fa-bars w3-button w3-white w3-hide-large w3-xlarge w3-margin-left w3-margin-top" onclick="w3_open()"></i>
    <a class="w3-hide-large w3-red w3-button w3-right w3-margin-top w3-margin-right"
       onclick="document.getElementById('mod-post').style.display='block'">
        <i class="fas fa-pencil-alt"></i>
    </a>
    <div id="main-content"></div>
</div>

<div id="user-badge" class="w3-dropdown-hover w3-bar w3-display-topright-large w3-display-topright-smallmedium">
    <img id="user-icon" src="assets/avatar.png" class="w3-bar-item w3-circle">
    <br>
    <div id="user-text" class="w3-large"></div>
    <div class="w3-dropdown-content user-dropdown-content w3-bar-block w3-border">
        <a id="btn-logout" class="w3-bar-item w3-button user-dropdown-item">Logout</a>
        <a id="btn-settings" onclick="document.getElementById('mod-settings').style.display='block'" class="w3-bar-item w3-button user-dropdown-item">Settings</a>
    </div>
</div>

<div id="snackbar"></div>
</body>
</html>